More changes than you can shake a stick at.
authorNick Hadaway <raker@gentoo.org>
Fri, 11 Oct 2002 14:51:49 +0000 (14:51 +0000)
committerNick Hadaway <raker@gentoo.org>
Fri, 11 Oct 2002 14:51:49 +0000 (14:51 +0000)
12 files changed:
net-mail/cyrus-imapd/ChangeLog
net-mail/cyrus-imapd/cyrus-imapd-2.1.5-r1.ebuild [deleted file]
net-mail/cyrus-imapd/cyrus-imapd-2.1.5.ebuild [deleted file]
net-mail/cyrus-imapd/cyrus-imapd-2.1.9-r1.ebuild
net-mail/cyrus-imapd/files/cyrus.rc6_2 [new file with mode: 0644]
net-mail/cyrus-imapd/files/cyrus_2.conf [new file with mode: 0644]
net-mail/cyrus-imapd/files/digest-cyrus-imapd-2.1.5 [deleted file]
net-mail/cyrus-imapd/files/digest-cyrus-imapd-2.1.5-r1 [deleted file]
net-mail/cyrus-imapd/files/e2fsprogs-et.diff [deleted file]
net-mail/cyrus-imapd/files/gentestcrt.sh [new file with mode: 0644]
net-mail/cyrus-imapd/files/imapd_2.conf [new file with mode: 0644]
net-mail/cyrus-imapd/files/master.8.diff [new file with mode: 0644]

index 3c9015b8202bdceb17cba3d2daeb0de3d2c6cfba..5b98a5c09b980d9d2b8a5e7df02fc0755518f4cc 100644 (file)
@@ -1,12 +1,20 @@
 # ChangeLog for net-mail/cyrus-imapd
 # Copyright 2002 Gentoo Technologies, Inc.; Distributed under the GPL
-# $Header: /var/cvsroot/gentoo-x86/net-mail/cyrus-imapd/ChangeLog,v 1.12 2002/09/30 22:25:04 mcummings Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-mail/cyrus-imapd/ChangeLog,v 1.13 2002/10/11 14:51:49 raker Exp $
 
-<<<<<<< ChangeLog
-*cyrus-imapd-2.1.9-r2 (30 Sep 2002)
+*cyrus-imapd-2.1.9-r1 (01 Oct 2002)
 
-  12 Sep 2002; <mcummings@gentoo.org> cyrus-imapd-2.1.5-r2 :
-  Corrected syntax for perl portion
+  11 Oct 2002; Nick Hadaway <raker@gentoo.org>
+  cyrus-imapd-2.1.9-r1.ebuild :
+  Added gssapi support based on the kerberos use flag.
+
+  01 Oct 2002; Alexander Holler <holler@ahsoftware.de>
+  cyrus-imapd-2.1.9-r1.ebuild, files/cyrus_2.conf, files/gentestcrt.sh,
+  files/imapd_2.conf, files/master.8.diff:
+  Removed cyradm and sieveshell (now in package cyrus-imap-admin).
+  Added generation of a self-signed test certificate.
+  Added 'use dns logger' to the startup-script.
+  Renamed master to cyrusmaster because postfix has a master too (manpage conflict)
 
 *cyrus-imapd-2.1.9 (10 Sep 2002)
 
@@ -23,7 +31,6 @@
   Version bump.  Cleaned up the ebuild even more.  Added a patch to
   bypass the -I/usr/include gcc problem.  Added kerberos use flag.
 
->>>>>>> 1.9
 *cyrus-imapd-2.1.5-r1 (13 Aug 2002)
 
   22 Aug 2002; Nick Hadaway <raker@gentoo.org> cyrus-imapd-2.1.5-r1.ebuild :
diff --git a/net-mail/cyrus-imapd/cyrus-imapd-2.1.5-r1.ebuild b/net-mail/cyrus-imapd/cyrus-imapd-2.1.5-r1.ebuild
deleted file mode 100644 (file)
index e2adbe8..0000000
+++ /dev/null
@@ -1,208 +0,0 @@
-# Copyright 1999-2002 Gentoo Technologies, Inc.
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-mail/cyrus-imapd/cyrus-imapd-2.1.5-r1.ebuild,v 1.4 2002/10/05 05:39:22 drobbins Exp $
-
-IUSE="ssl perl snmp afs"
-
-inherit perl-module
-
-S=${WORKDIR}/${P}
-DESCRIPTION="The Cyrus IMAP Server"
-HOMEPAGE="http://asg.web.cmu.edu/cyrus/imapd/"
-SRC_URI="ftp://ftp.andrew.cmu.edu/pub/cyrus-mail/${P}.tar.gz"
-
-LICENSE="as-is"
-SLOT="0"
-KEYWORDS="x86 -ppc -sparc -sparc64"
-
-PROVIDE="virtual/imapd"
-RDEPEND="virtual/glibc
-       afs? ( >=net-fs/openafs-1.2.2 )
-       snmp? ( >=net-analyzer/ucd-snmp-4.2.3 )
-       ssl? ( >=dev-libs/openssl-0.9.6 )
-       perl? ( >=sys-devel/perl-5.6.1 )
-       >=sys-libs/db-3.2
-       >=sys-libs/pam-0.75
-       >=dev-libs/cyrus-sasl-2.1.2
-       >=sys-apps/tcp-wrappers-7.6"
-DEPEND="virtual/glibc
-       afs? ( >=net-fs/openafs-1.2.2 )
-       snmp? ( >=net-analyzer/ucd-snmp-4.2.3 )
-       ssl? ( >=dev-libs/openssl-0.9.6 )
-       perl? ( >=sys-devel/perl-5.6.1 )
-       >=sys-libs/db-3.2
-       >=sys-libs/pam-0.75
-       >=dev-libs/cyrus-sasl-2.1.2
-       >=sys-apps/tcp-wrappers-7.6
-       net-mail/mailbase"
-
-
-# recommended: flex, maybe: net-snmp, postfix, perl?, afs, inn, tcl (cyradm)
-       
-pkg_setup() {
-       
-       if ! grep -q ^cyrus: /etc/passwd ; then
-               useradd -c cyrus -d /usr/cyrus -g mail -s /bin/false -u 96 cyrus \
-                       || die "problem adding user cyrus"
-       fi
-}
-
-src_unpack() {
-
-       unpack ${A}
-       cd ${WORKDIR}
-       patch -p0 < ${FILESDIR}/e2fsprogs-et.diff
-}
-
-src_compile() {
-
-       local myconf
-       
-       use afs && myconf="--with-afs" \
-               || myconf="--without-afs"
-       use snmp && myconf="${myconf} --with-ucdsnmp=/usr" \
-               || myconf="${myconf} --without-ucdsnmp"
-       use ssl && myconf="${myconf} --with-openssl=/usr" \
-               || myconf="${myconf} --without-openssl"
-       use perl && myconf="${myconf} --with-perl --enable-cyradm" \
-               || myconf="${myconf} --without-perl --disable-cyradm"
-
-
-       ./configure \
-               --prefix=/usr \
-               --without-krb \
-               --without-gssapi \
-               --enable-listext \
-               --with-cyrus-group=mail \
-               --enable-shared \
-               --enable-netscapehack \
-               --with-com_err=yes \
-               --with-sasl=/usr/lib \
-               --host=${CHOST} ${myconf} || die "bad ./configure"
-
-       # make depends break with -f... in CFLAGS
-       make depend CFLAGS="" || die "make depend problem"
-
-       make || die "compile problem"
-
-}
-
-src_install () {
-       # remove perl subdirs from beeing installed
-       sed "s:SUBDIRS = imap sieve:SUBDIRS =:" ${S}/perl/Makefile > ${S}/perl/Makefile.install
-       mv ${S}/perl/Makefile ${S}/perl/Makefile.orig
-       mv ${S}/perl/Makefile.install ${S}/perl/Makefile
-
-       emake DESTDIR=${D} install || die
-
-       # Remove the developer stuff (-> dev-libs/cyrus-imap-devel)
-       rm -rf ${D}usr/include ${D}usr/lib
-
-       # Remove the manpages (wrong place)
-       rm -rf ${D}usr/man
-       
-       mkdir ${D}etc
-       cp ${FILESDIR}/imapd.conf ${D}etc/imapd.conf
-       cp ${FILESDIR}/cyrus.conf ${D}etc/cyrus.conf
-       mkdir ${D}etc/pam.d
-       cp ${FILESDIR}/pam.d-imap ${D}etc/pam.d/imap
-
-       mkdir ${D}var ${D}var/log
-       touch ${D}var/log/imapd.log
-       touch ${D}var/log/auth.log
-
-       mkdir -m 0750 ${D}var/imap
-       chown -R cyrus.mail ${D}var/imap 
-       mkdir -m 0755 ${D}var/imap/db
-        chown -R cyrus.mail ${D}var/imap/db
-       mkdir -m 0755 ${D}var/imap/log
-        chown -R cyrus.mail ${D}var/imap/log
-       mkdir -m 0755 ${D}var/imap/msg
-        chown -R cyrus.mail ${D}var/imap/msg
-       mkdir -m 0755 ${D}var/imap/user
-        chown -R cyrus.mail ${D}var/imap/user
-       for i in a b c d e f g h i j k l m n o p q r s t u v w x y z ; do mkdir -m 0755 ${D}var/imap/user/$i ; \
-           chown -R cyrus.mail ${D}var/imap/user/$i ; done
-       mkdir -m 0755 ${D}var/imap/proc
-        chown -R cyrus.mail ${D}var/imap/proc
-       mkdir -m 0755 ${D}var/imap/quota
-       for i in a b c d e f g h i j k l m n o p q r s t u v w x y z ; do mkdir -m 0755 ${D}var/imap/quota/$i ; \
-           chown -R cyrus.mail ${D}var/imap/quota/$i ; done
-       mkdir -m 0755 ${D}var/imap/sieve
-        chown -R cyrus.mail ${D}var/imap/sieve
-       for i in a b c d e f g h i j k l m n o p q r s t u v w x y z ; do mkdir -m 0755 ${D}var/imap/sieve/$i ; \
-           chown -R cyrus.mail ${D}var/imap/sieve/$i ; done
-       mkdir -m 0755 ${D}var/imap/socket
-        chown -R cyrus.mail ${D}var/imap/socket
-
-       mkdir ${D}var/spool
-       mkdir -m 0750 ${D}var/spool/imap
-        chown -R cyrus.mail ${D}var/spool/imap
-       mkdir -m 0755 ${D}var/spool/imap/stage.
-        chown -R cyrus.mail ${D}var/spool/imap/stage.
-       # For hashimapspool
-       for i in a b c d e f g h i j k l m n o p q r s t u v w x y z ; do mkdir -m 0755 ${D}var/spool/imap/$i ; \
-           chown -R cyrus.mail ${D}var/spool/imap/$i ; done
-
-
-       doman man/*.?
-       # remove man-pages from packet net-mail/cyrus-imapd-admin
-       rm ${D}usr/share/man/man1/installsieve.1.gz ${D}usr/share/man/man1/sieveshell.1.gz
-
-       dodoc COPYRIGHT README*
-       dohtml doc/*.html doc/murder.png
-       cp doc/cyrusv2.mc ${D}usr/share/doc/${PF}/html
-       
-       cp -r contrib tools ${D}usr/share/doc/${PF}
-       # Remove the CVS directories
-       find 2>/dev/null ${D}usr/share/doc/ -type d -name CVS -exec rm -rf '{}' \;
-
-       exeinto /etc/init.d ; newexe ${FILESDIR}/cyrus.rc6 cyrus
-
-       if use perl ; then
-               export DESTDIR=${D}
-               cd ${S}/perl/imap
-               perl-module_src_install 
-        cd ${S}/perl/sieve
-        perl-module_src_install
-       fi
-
-}
-
-pkg_postinst() {
-
-       ewarn "*****************************************************************"
-       ewarn "* WARNING: If you change the fs-type of /var/imap or            *"
-       ewarn "* /var/spool/imap you should read step 9 of                     *"
-       ewarn "* /usr/share/doc/${P}/html/install-configure.html. *"
-       if df -T /var/imap | grep -q ' ext[23] ' ; then
-               ewarn "* Setting /var/imap/user/* and /var/imap/quota/* to synchronous *"
-               ewarn "* updates.                                                      *"
-               chattr +S /var/imap/user /var/imap/user/* /var/imap/quota /var/imap/quota/*
-       fi
-       if df -T /var/spool/imap | grep -q ' ext[23] ' ; then
-               ewarn "* Setting /var/spool/imap/* to synchronous updates.             *"
-               chattr +S /var/spool/imap /var/spool/imap/*
-       fi
-       ewarn "* If the queue directory of the mail daemon resides on an ext2  *"
-       ewarn "* or ext3 partition you need to set it manually to update       *"
-       ewarn "* synchronously. E.g. 'chattr +S /var/spool/mqueue'.            *"
-       ewarn "*****************************************************************"
-
-       einfo "*****************************************************************"
-       einfo "* NOTE: For correct logging add                                 *"
-       einfo "*         local6.* /var/log/imapd.log                           *"
-       einfo "*         auth.debug /var/log/auth.log                          *"
-       einfo "*       to /etc/syslog.conf.                                     *"
-       einfo "*****************************************************************"
-
-       if [ "'use ssl'" ]; then
-               ewarn "*****************************************************************"
-               ewarn "* WARNING: Read the section about SSL and TLS of                *"
-               ewarn "* /usr/share/doc/${P}/html/install-configure.html. *"
-               ewarn "* about installing the needed keys.                             *"
-               ewarn "*****************************************************************"
-       fi
-
-}
-
diff --git a/net-mail/cyrus-imapd/cyrus-imapd-2.1.5.ebuild b/net-mail/cyrus-imapd/cyrus-imapd-2.1.5.ebuild
deleted file mode 100644 (file)
index 8f58f45..0000000
+++ /dev/null
@@ -1,187 +0,0 @@
-# Copyright 1999-2002 Gentoo Technologies, Inc.
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-mail/cyrus-imapd/cyrus-imapd-2.1.5.ebuild,v 1.9 2002/10/05 05:39:22 drobbins Exp $
-
-IUSE="ssl snmp afs"
-
-S=${WORKDIR}/${P}
-DESCRIPTION="The Cyrus IMAP Server"
-HOMEPAGE="http://asg.web.cmu.edu/cyrus/imapd/"
-SRC_URI="ftp://ftp.andrew.cmu.edu/pub/cyrus-mail/${P}.tar.gz"
-
-LICENSE="as-is"
-SLOT="0"
-KEYWORDS="x86 -ppc -sparc -sparc64"
-
-PROVIDE="virtual/imapd"
-RDEPEND="virtual/glibc
-       afs? ( >=net-fs/openafs-1.2.2 )
-       snmp? ( >=net-analyzer/ucd-snmp-4.2.3 )
-       ssl? ( >=dev-libs/openssl-0.9.6 )
-       >=sys-libs/db-3.2
-       >=sys-libs/pam-0.75
-       >=dev-libs/cyrus-sasl-2.1.2
-       >=sys-apps/tcp-wrappers-7.6"
-DEPEND="virtual/glibc
-       afs? ( >=net-fs/openafs-1.2.2 )
-       snmp? ( >=net-analyzer/ucd-snmp-4.2.3 )
-       ssl? ( >=dev-libs/openssl-0.9.6 )
-       >=sys-libs/db-3.2
-       >=sys-libs/pam-0.75
-       >=dev-libs/cyrus-sasl-2.1.2
-       >=sys-apps/tcp-wrappers-7.6"
-
-
-# recommended: flex, maybe: net-snmp, postfix, perl?, afs, inn, tcl (cyradm)
-       
-pkg_setup() {
-       
-       if ! grep -q ^cyrus: /etc/passwd ; then
-               useradd -c cyrus -d /usr/cyrus -g mail -s /bin/false -u 96 cyrus \
-                       || die "problem adding user cyrus"
-       fi
-}
-
-src_unpack() {
-
-       unpack ${A}
-       cd ${WORKDIR}
-       patch -p0 < ${FILESDIR}/e2fsprogs-et.diff
-}
-
-src_compile() {
-
-       local myconf
-       
-       use afs || myconf="--without-afs"
-       use snmp || myconf="${myconf} --without-ucdsnmp"
-       use ssl || myconf="${myconf} --without-openssl"
-
-
-       ./configure \
-               --prefix=/usr \
-               --without-krb \
-               --without-gssapi \
-               --enable-listext \
-               --disable-cyradm \
-               --with-cyrus-user=cyrus \
-               --with-cyrus-group=mail \
-               --enable-shared \
-               --enable-netscapehack \
-               --with-com_err=yes \
-               --without-perl \
-               --host=${CHOST} ${myconf} || die "bad ./configure"
-
-       # make depends break with -f... in CFLAGS
-       make depend CFLAGS="" || die "make depend problem"
-
-       make || die "compile problem"
-
-}
-
-src_install () {
-
-       emake DESTDIR=${D} install || die
-
-       # Remove the developer stuff (-> dev-libs/cyrus-imap-devel)
-       rm -rf ${D}usr/include ${D}usr/lib
-
-       # Remove the manpages (wrong place)
-       rm -rf ${D}usr/man
-       
-       mkdir ${D}etc
-       cp ${FILESDIR}/imapd.conf ${D}etc/imapd.conf
-       cp ${FILESDIR}/cyrus.conf ${D}etc/cyrus.conf
-       mkdir ${D}etc/pam.d
-       cp ${FILESDIR}/pam.d-imap ${D}etc/pam.d/imap
-
-       mkdir ${D}var ${D}var/log
-       touch ${D}var/log/imapd.log
-       touch ${D}var/log/auth.log
-
-       mkdir -m 0750 ${D}var/imap
-       chown -R cyrus.mail ${D}var/imap 
-       mkdir -m 0755 ${D}var/imap/db
-        chown -R cyrus.mail ${D}var/imap/db
-       mkdir -m 0755 ${D}var/imap/log
-        chown -R cyrus.mail ${D}var/imap/log
-       mkdir -m 0755 ${D}var/imap/msg
-        chown -R cyrus.mail ${D}var/imap/msg
-       mkdir -m 0755 ${D}var/imap/user
-        chown -R cyrus.mail ${D}var/imap/user
-       for i in a b c d e f g h i j k l m n o p q r s t u v w x y z ; do mkdir -m 0755 ${D}var/imap/user/$i ; \
-           chown -R cyrus.mail ${D}var/imap/user/$i ; done
-       mkdir -m 0755 ${D}var/imap/proc
-        chown -R cyrus.mail ${D}var/imap/proc
-       mkdir -m 0755 ${D}var/imap/quota
-       for i in a b c d e f g h i j k l m n o p q r s t u v w x y z ; do mkdir -m 0755 ${D}var/imap/quota/$i ; \
-           chown -R cyrus.mail ${D}var/imap/quota/$i ; done
-       mkdir -m 0755 ${D}var/imap/sieve
-        chown -R cyrus.mail ${D}var/imap/sieve
-       for i in a b c d e f g h i j k l m n o p q r s t u v w x y z ; do mkdir -m 0755 ${D}var/imap/sieve/$i ; \
-           chown -R cyrus.mail ${D}var/imap/sieve/$i ; done
-       mkdir -m 0755 ${D}var/imap/socket
-        chown -R cyrus.mail ${D}var/imap/socket
-
-       mkdir ${D}var/spool
-       mkdir -m 0750 ${D}var/spool/imap
-        chown -R cyrus.mail ${D}var/spool/imap
-       mkdir -m 0755 ${D}var/spool/imap/stage.
-        chown -R cyrus.mail ${D}var/spool/imap/stage.
-       # For hashimapspool
-       for i in a b c d e f g h i j k l m n o p q r s t u v w x y z ; do mkdir -m 0755 ${D}var/spool/imap/$i ; \
-           chown -R cyrus.mail ${D}var/spool/imap/$i ; done
-
-
-       doman man/*.?
-       # remove man-pages from packet net-mail/cyrus-imapd-admin
-       rm ${D}usr/share/man/man1/installsieve.1.gz ${D}usr/share/man/man1/sieveshell.1.gz
-
-       dodoc COPYRIGHT README*
-       dohtml doc/*.html doc/murder.png
-       cp doc/cyrusv2.mc ${D}usr/share/doc/${PF}/html
-       
-       cp -r contrib tools ${D}usr/share/doc/${PF}
-       # Remove the CVS directories
-       find 2>/dev/null ${D}usr/share/doc/ -type d -name CVS -exec rm -rf '{}' \;
-
-       exeinto /etc/init.d ; newexe ${FILESDIR}/cyrus.rc6 cyrus
-
-}
-
-pkg_postinst() {
-
-       ewarn "*****************************************************************"
-       ewarn "* WARNING: If you change the fs-type of /var/imap or            *"
-       ewarn "* /var/spool/imap you should read step 9 of                     *"
-       ewarn "* /usr/share/doc/${P}/html/install-configure.html. *"
-       if df -T /var/imap | grep -q ' ext[23] ' ; then
-               ewarn "* Setting /var/imap/user/* and /var/imap/quota/* to synchronous *"
-               ewarn "* updates.                                                      *"
-               chattr +S /var/imap/user /var/imap/user/* /var/imap/quota /var/imap/quota/*
-       fi
-       if df -T /var/spool/imap | grep -q ' ext[23] ' ; then
-               ewarn "* Setting /var/spool/imap/* to synchronous updates.             *"
-               chattr +S /var/spool/imap /var/spool/imap/*
-       fi
-       ewarn "* If the queue directory of the mail daemon resides on an ext2  *"
-       ewarn "* or ext3 partition you need to set it manually to update       *"
-       ewarn "* synchronously. E.g. 'chattr +S /var/spool/mqueue'.            *"
-       ewarn "*****************************************************************"
-
-       einfo "*****************************************************************"
-       einfo "* NOTE: For correct logging add                                 *"
-       einfo "*         local6.* /var/log/imapd.log                           *"
-       einfo "*         auth.debug /var/log/auth.log                          *"
-       einfo "*       to /etc/syslog.conf.                                     *"
-       einfo "*****************************************************************"
-
-       if [ "'use ssl'" ]; then
-               ewarn "*****************************************************************"
-               ewarn "* WARNING: Read the section about SSL and TLS of                *"
-               ewarn "* /usr/share/doc/${P}/html/install-configure.html. *"
-               ewarn "* about installing the needed keys.                             *"
-               ewarn "*****************************************************************"
-       fi
-
-}
index 2f699c1269896ed8a6d657e83d96f3068c51eecc..4cb4ac1d3be9f8425f44bf5974c86d10ac3a2f49 100644 (file)
@@ -1,10 +1,6 @@
 # Copyright 1999-2002 Gentoo Technologies, Inc.
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-mail/cyrus-imapd/cyrus-imapd-2.1.9-r1.ebuild,v 1.3 2002/10/05 05:39:22 drobbins Exp $
-
-IUSE="ssl kerberos perl snmp afs"
-
-inherit perl-module
+# Distributed under the terms of the GNU General Public License, v2 or later
+# $Header: /var/cvsroot/gentoo-x86/net-mail/cyrus-imapd/cyrus-imapd-2.1.9-r1.ebuild,v 1.4 2002/10/11 14:51:49 raker Exp $
 
 S=${WORKDIR}/${P}
 
@@ -21,7 +17,6 @@ DEPEND="virtual/glibc
        afs? ( >=net-fs/openafs-1.2.2 )
        snmp? ( >=net-analyzer/ucd-snmp-4.2.3 )
        ssl? ( >=dev-libs/openssl-0.9.6 )
-       perl? ( >=sys-devel/perl-5.6.1 )
        kerberos? ( >=app-crypt/krb5-1.2.5 )
        >=sys-libs/db-3.2
        >=sys-libs/pam-0.75
@@ -61,18 +56,19 @@ src_compile() {
        use ssl && myconf="${myconf} --with-openssl=/usr" \
                || myconf="${myconf} --without-openssl"
 
-       use perl && myconf="${myconf} --with-perl --enable-cyradm" \
-               || myconf="${myconf} --without-perl --disable-cyradm"
-
-       use kerberos && myconf="${myconf} --with-krb --with-auth=krb" \
-               || myconf="${myconf} --without-krb --with-auth=unix"
+       use kerberos && myconf="${myconf} --with-krb --with-auth=krb --enable-gssapi" \
+               || myconf="${myconf} --without-krb --with-auth=unix --disable-gssapi"
 
        econf \
                --enable-listext \
                --with-cyrus-group=mail \
                --enable-netscapehack \
                --with-com_err=yes \
+               --without-perl \
+               --disable-cyradm \
                ${myconf} || die "bad ./configure"
+       # doesn't work
+               --sysconfdir=/etc/cyrusimapd
 
        # make depends break with -f... in CFLAGS
        make depend CFLAGS="" || die "make depend problem"
@@ -82,28 +78,35 @@ src_compile() {
 }
 
 src_install () {
-       # remove perl subdirs from beeing installed
-       sed "s:SUBDIRS = imap sieve:SUBDIRS =:" ${S}/perl/Makefile > ${S}/perl/Makefile.install
-       mv ${S}/perl/Makefile ${S}/perl/Makefile.orig
-       mv ${S}/perl/Makefile.install ${S}/perl/Makefile
 
        # Install!
        make DESTDIR=${D} install || die
 
+       # Remove the developer stuff (-> dev-libs/cyrus-imap-devel)
+       rm -rf ${D}usr/include ${D}usr/lib
+
+       # Rename the master from cyrus to cyrusmaster (postfix has a master too)
+       mv ${D}usr/cyrus/bin/master ${D}usr/cyrus/bin/cyrusmaster
+
        # Fix manpage stuff
        rm -rf ${D}usr/man
+
+       # master is renamed to cyrusmaster because postfix has a master too
+       mv man/master.8 man/cyrusmaster.8
+       patch man/cyrusmaster.8 ${FILESDIR}/master.8.diff || die "error patching master.8"
+
        doman man/*.?
 
-       mkdir ${D}etc
-       cp ${FILESDIR}/imapd.conf ${D}etc/imapd.conf
-       cp ${FILESDIR}/cyrus.conf ${D}etc/cyrus.conf
+       # remove man-pages from packet net-mail/cyrus-imapd-admin
+       rm ${D}usr/share/man/man1/installsieve.1.gz ${D}usr/share/man/man1/sieveshell.1.gz
+
+       mkdir ${D}etc 
+       cp ${FILESDIR}/imapd_2.conf ${D}etc/imapd.conf
+       cp ${FILESDIR}/cyrus_2.conf ${D}etc/cyrus.conf
        mkdir ${D}etc/pam.d
        cp ${FILESDIR}/pam.d-imap ${D}etc/pam.d/imap
 
-       mkdir ${D}var ${D}var/log
-       touch ${D}var/log/imapd.log
-       touch ${D}var/log/auth.log
-
+       mkdir ${D}var
        mkdir -m 0750 ${D}var/imap
        chown -R cyrus.mail ${D}var/imap 
        mkdir -m 0755 ${D}var/imap/db
@@ -146,26 +149,20 @@ src_install () {
        # Remove the CVS directories
        find 2>/dev/null ${D}usr/share/doc/ -type d -name CVS -exec rm -rf '{}' \;
 
-       exeinto /etc/init.d ; newexe ${FILESDIR}/cyrus.rc6 cyrus
-
-       if use perl ; then
-               export DESTDIR=${D}
-               cd ${S}/perl/imap
-               perl-module_src_prep
-               perl-module_src_compile
-               perl-module_src_install 
-        cd ${S}/perl/sieve/acap
-               perl-module_src_prep
-               perl-module_src_compile
-        perl-module_src_install
-        cd ${S}/perl/sieve/acap/managesieve
-               perl-module_src_prep
-               perl-module_src_compile
-        perl-module_src_install
-       fi
+       exeinto /etc/init.d ; newexe ${FILESDIR}/cyrus.rc6_2 cyrus
 
-       # remove empty log files installed by default
-       rm ${D}/var/log/{auth,imapd}.log
+       if [ "'use ssl'" ]; then
+               # from mod_ssl
+               echo "Generating self-signed test certificate"
+               echo "(Ignore any message from the yes command below)"
+               mkdir certs
+               cd certs
+               yes "" | ${FILESDIR}/gentestcrt.sh >/dev/null 2>&1
+               mkdir ${D}etc/cyrusimapd
+               cp server.crt server.key ${D}etc/cyrusimapd
+               chown cyrus.root ${D}etc/cyrusimapd/server.crt ${D}etc/cyrusimapd/server.key
+               chmod 0400 ${D}etc/cyrusimapd/server.crt ${D}etc/cyrusimapd/server.key
+       fi
 
 }
 
@@ -190,19 +187,15 @@ pkg_postinst() {
        ewarn "*****************************************************************"
 
        einfo "*****************************************************************"
-       einfo "* NOTE: For correct logging add                                 *"
+       einfo "* NOTE: For correct logging with syslog add                     *"
        einfo "*         local6.* /var/log/imapd.log                           *"
        einfo "*         auth.debug /var/log/auth.log                          *"
-       einfo "*       to /etc/syslog.conf.                                     *"
+       einfo "*       to /etc/syslog.conf.                                    *"
        einfo "*****************************************************************"
 
-       if [ "'use ssl'" ]; then
-               ewarn "*****************************************************************"
-               ewarn "* WARNING: Read the section about SSL and TLS of                *"
-               ewarn "* /usr/share/doc/${P}/html/install-configure.html. *"
-               ewarn "* about installing the needed keys.                             *"
-               ewarn "*****************************************************************"
-       fi
-
+       ewarn "*******************************************************"
+       ewarn "* WARNING: You have to add user cyrus to the sasldb2. *"
+       ewarn "* Do this with:                                       *"
+       ewarn "*   saslpasswd2 cyrus                                 *"
+       ewarn "*******************************************************"
 }
-
diff --git a/net-mail/cyrus-imapd/files/cyrus.rc6_2 b/net-mail/cyrus-imapd/files/cyrus.rc6_2
new file mode 100644 (file)
index 0000000..11be1b7
--- /dev/null
@@ -0,0 +1,23 @@
+#!/sbin/runscript
+# Copyright 1999-2002 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License, v2 or later
+# $Header: /var/cvsroot/gentoo-x86/net-mail/cyrus-imapd/files/cyrus.rc6_2,v 1.1 2002/10/11 14:51:49 raker Exp $
+
+depend() {
+       need net
+       after saslauthd
+       use dns logger
+}
+
+start() {
+       ebegin "Starting Cyrus imapd"
+       start-stop-daemon --start --quiet --background --make-pidfile --pidfile /var/run/cyrus.pid --exec /usr/cyrus/bin/cyrusmaster
+       eend $?
+}
+
+stop() {
+       ebegin "Stopping Cyrus imapd"
+       start-stop-daemon --stop --quiet --pidfile /var/run/cyrus.pid
+       rm /var/run/cyrus.pid
+       eend $?
+}
diff --git a/net-mail/cyrus-imapd/files/cyrus_2.conf b/net-mail/cyrus-imapd/files/cyrus_2.conf
new file mode 100644 (file)
index 0000000..5bc2cf6
--- /dev/null
@@ -0,0 +1,41 @@
+# $Header: /var/cvsroot/gentoo-x86/net-mail/cyrus-imapd/files/cyrus_2.conf,v 1.1 2002/10/11 14:51:49 raker Exp $
+
+# standard standalone server implementation
+
+START {
+  # do not delete this entry!
+  recover      cmd="ctl_cyrusdb -r"
+
+  # this is only necessary if using idled for IMAP IDLE
+#  idled               cmd="idled"
+}
+
+# UNIX sockets start with a slash and are put into /var/imap/socket
+SERVICES {
+  # add or remove based on preferences
+  imap         cmd="imapd" listen="imap2" prefork=0
+  pop3         cmd="pop3d" listen="pop-3" prefork=0
+  # Don't forget to generate the needed keys for SSL or TLS
+  # (see doc/html/install-configure.html)
+  imaps                cmd="imapd -s" listen="imaps" prefork=0
+  pop3s                cmd="pop3d -s" listen="pop3s" prefork=0
+  sieve                cmd="timsieved" listen="sieve" prefork=0
+
+  # at least one LMTP is required for delivery
+#  lmtp                cmd="lmtpd" listen="lmtp" prefork=0
+  lmtpunix     cmd="lmtpd" listen="/var/imap/socket/lmtp" prefork=0
+
+  # this is only necessary if using notifications
+#  notify      cmd="notifyd" listen="/var/imap/socket/notify" proto="udp" prefork=1
+}
+
+EVENTS {
+  # this is required
+  checkpoint   cmd="ctl_cyrusdb -c" period=30
+
+  # this is only necessary if using duplicate delivery suppression
+  delprune     cmd="ctl_deliver -E 3" period=1440
+
+  # this is only necessary if caching TLS sessions
+  tlsprune     cmd="tls_prune" period=1440
+}
diff --git a/net-mail/cyrus-imapd/files/digest-cyrus-imapd-2.1.5 b/net-mail/cyrus-imapd/files/digest-cyrus-imapd-2.1.5
deleted file mode 100644 (file)
index 0ef6f5e..0000000
+++ /dev/null
@@ -1 +0,0 @@
-MD5 86eb126e818f998cf7ff2e1fe1a09cb3 cyrus-imapd-2.1.5.tar.gz 1627592
diff --git a/net-mail/cyrus-imapd/files/digest-cyrus-imapd-2.1.5-r1 b/net-mail/cyrus-imapd/files/digest-cyrus-imapd-2.1.5-r1
deleted file mode 100644 (file)
index 0ef6f5e..0000000
+++ /dev/null
@@ -1 +0,0 @@
-MD5 86eb126e818f998cf7ff2e1fe1a09cb3 cyrus-imapd-2.1.5.tar.gz 1627592
diff --git a/net-mail/cyrus-imapd/files/e2fsprogs-et.diff b/net-mail/cyrus-imapd/files/e2fsprogs-et.diff
deleted file mode 100644 (file)
index 3140ef1..0000000
+++ /dev/null
@@ -1,336 +0,0 @@
-diff -urN cyrus-imapd-2.1.5/imap/acapmbox.c cyrus-imapd-2.1.5-modified/imap/acapmbox.c
---- cyrus-imapd-2.1.5/imap/acapmbox.c  Sat May 25 14:57:43 2002
-+++ cyrus-imapd-2.1.5-modified/imap/acapmbox.c Sat Jul 13 16:00:50 2002
-@@ -46,7 +46,7 @@
- #include <stdio.h>
- #include <string.h>
- #include <syslog.h>
--#include <com_err.h>
-+#include <et/com_err.h>
- 
- #ifdef HAVE_UNISTD_H
- #include <unistd.h>
-diff -urN cyrus-imapd-2.1.5/imap/append.c cyrus-imapd-2.1.5-modified/imap/append.c
---- cyrus-imapd-2.1.5/imap/append.c    Fri Jun 14 13:20:25 2002
-+++ cyrus-imapd-2.1.5-modified/imap/append.c   Sat Jul 13 15:53:31 2002
-@@ -48,7 +48,7 @@
- #include <stdio.h>
- #include <ctype.h>
- #include <string.h>
--#include <com_err.h>
-+#include <et/com_err.h>
- #include <sys/types.h>
- #include <syslog.h>
- #include <sys/stat.h>
-diff -urN cyrus-imapd-2.1.5/imap/backend.c cyrus-imapd-2.1.5-modified/imap/backend.c
---- cyrus-imapd-2.1.5/imap/backend.c   Mon May  6 12:18:49 2002
-+++ cyrus-imapd-2.1.5-modified/imap/backend.c  Sat Jul 13 15:47:20 2002
-@@ -57,7 +57,7 @@
- #include <sys/stat.h>
- #include <sys/un.h>
- #include <syslog.h>
--#include <com_err.h>
-+#include <et/com_err.h>
- #include <netdb.h>
- #include <sys/socket.h>
- #include <netinet/in.h>
-diff -urN cyrus-imapd-2.1.5/imap/chk_cyrus.c cyrus-imapd-2.1.5-modified/imap/chk_cyrus.c
---- cyrus-imapd-2.1.5/imap/chk_cyrus.c Sat May 25 20:00:39 2002
-+++ cyrus-imapd-2.1.5-modified/imap/chk_cyrus.c        Sat Jul 13 16:23:00 2002
-@@ -55,7 +55,7 @@
- #include <fcntl.h>
- #include <netinet/in.h>
- #include <syslog.h>
--#include <com_err.h>
-+#include <et/com_err.h>
- #include <errno.h>
- #include <ctype.h>
- #include <time.h>
-diff -urN cyrus-imapd-2.1.5/imap/config.c cyrus-imapd-2.1.5-modified/imap/config.c
---- cyrus-imapd-2.1.5/imap/config.c    Tue Jun 18 11:40:19 2002
-+++ cyrus-imapd-2.1.5-modified/imap/config.c   Sat Jul 13 15:59:21 2002
-@@ -48,7 +48,7 @@
- #include <string.h>
- #include <ctype.h>
- #include <syslog.h>
--#include <com_err.h>
-+#include <et/com_err.h>
- #include <sys/types.h>
- #include <sys/stat.h>
- 
-diff -urN cyrus-imapd-2.1.5/imap/ctl_cyrusdb.c cyrus-imapd-2.1.5-modified/imap/ctl_cyrusdb.c
---- cyrus-imapd-2.1.5/imap/ctl_cyrusdb.c       Wed May 29 11:49:14 2002
-+++ cyrus-imapd-2.1.5-modified/imap/ctl_cyrusdb.c      Sat Jul 13 16:40:21 2002
-@@ -53,7 +53,7 @@
- #include <fcntl.h>
- #include <sys/stat.h>
- #include <syslog.h>
--#include <com_err.h>
-+#include <et/com_err.h>
- #include <errno.h>
- #include <time.h>
- 
-diff -urN cyrus-imapd-2.1.5/imap/ctl_deliver.c cyrus-imapd-2.1.5-modified/imap/ctl_deliver.c
---- cyrus-imapd-2.1.5/imap/ctl_deliver.c       Tue Jan 15 12:44:09 2002
-+++ cyrus-imapd-2.1.5-modified/imap/ctl_deliver.c      Sat Jul 13 16:38:12 2002
-@@ -52,7 +52,7 @@
- #include <fcntl.h>
- #include <sys/stat.h>
- #include <syslog.h>
--#include <com_err.h>
-+#include <et/com_err.h>
- #include <errno.h>
- #include <time.h>
- #include <signal.h>
-diff -urN cyrus-imapd-2.1.5/imap/ctl_mboxlist.c cyrus-imapd-2.1.5-modified/imap/ctl_mboxlist.c
---- cyrus-imapd-2.1.5/imap/ctl_mboxlist.c      Mon Jun 24 11:29:04 2002
-+++ cyrus-imapd-2.1.5-modified/imap/ctl_mboxlist.c     Sat Jul 13 16:35:33 2002
-@@ -50,7 +50,7 @@
- #include <unistd.h>
- #endif
- #include <syslog.h>
--#include <com_err.h>
-+#include <et/com_err.h>
- #include <stdlib.h>
- #include <string.h>
- #include <sasl/sasl.h>
-diff -urN cyrus-imapd-2.1.5/imap/cvt_cyrusdb.c cyrus-imapd-2.1.5-modified/imap/cvt_cyrusdb.c
---- cyrus-imapd-2.1.5/imap/cvt_cyrusdb.c       Fri May 10 19:46:22 2002
-+++ cyrus-imapd-2.1.5-modified/imap/cvt_cyrusdb.c      Sat Jul 13 16:24:22 2002
-@@ -59,7 +59,7 @@
- #include <ctype.h>
- #include <time.h>
- #include <syslog.h>
--#include <com_err.h>
-+#include <et/com_err.h>
- 
- #include <sys/ipc.h>
- #include <sys/msg.h>
-diff -urN cyrus-imapd-2.1.5/imap/cyrdump.c cyrus-imapd-2.1.5-modified/imap/cyrdump.c
---- cyrus-imapd-2.1.5/imap/cyrdump.c   Fri Feb  1 13:43:37 2002
-+++ cyrus-imapd-2.1.5-modified/imap/cyrdump.c  Sat Jul 13 16:20:54 2002
-@@ -48,7 +48,7 @@
- #include <stdlib.h>
- #include <stdio.h>
- #include <syslog.h>
--#include <com_err.h>
-+#include <et/com_err.h>
- #include <string.h>
- #include <time.h>
- 
-diff -urN cyrus-imapd-2.1.5/imap/deliver.c cyrus-imapd-2.1.5-modified/imap/deliver.c
---- cyrus-imapd-2.1.5/imap/deliver.c   Sat May 25 14:57:44 2002
-+++ cyrus-imapd-2.1.5-modified/imap/deliver.c  Sat Jul 13 16:25:44 2002
-@@ -56,7 +56,7 @@
- #include <fcntl.h>
- #include <sys/stat.h>
- #include <syslog.h>
--#include <com_err.h>
-+#include <et/com_err.h>
- #include <errno.h>
- #include <pwd.h>
- #include <sys/types.h>
-diff -urN cyrus-imapd-2.1.5/imap/fud.c cyrus-imapd-2.1.5-modified/imap/fud.c
---- cyrus-imapd-2.1.5/imap/fud.c       Mon Jun  3 13:22:24 2002
-+++ cyrus-imapd-2.1.5-modified/imap/fud.c      Sat Jul 13 16:14:12 2002
-@@ -59,7 +59,7 @@
- #include <sys/socket.h>
- #include <arpa/inet.h>
- #include <netdb.h>
--#include <com_err.h>
-+#include <et/com_err.h>
- #include <pwd.h>
- 
- #include "assert.h"
-diff -urN cyrus-imapd-2.1.5/imap/imapd.c cyrus-imapd-2.1.5-modified/imap/imapd.c
---- cyrus-imapd-2.1.5/imap/imapd.c     Thu Jun  6 21:05:32 2002
-+++ cyrus-imapd-2.1.5-modified/imap/imapd.c    Sat Jul 13 15:47:35 2002
-@@ -55,7 +55,7 @@
- #include <sys/param.h>
- #include <sys/stat.h>
- #include <syslog.h>
--#include <com_err.h>
-+#include <et/com_err.h>
- #include <netdb.h>
- #include <sys/socket.h>
- #include <sys/wait.h>
-diff -urN cyrus-imapd-2.1.5/imap/index.c cyrus-imapd-2.1.5-modified/imap/index.c
---- cyrus-imapd-2.1.5/imap/index.c     Tue Jun 18 11:40:19 2002
-+++ cyrus-imapd-2.1.5-modified/imap/index.c    Sat Jul 13 15:51:32 2002
-@@ -53,7 +53,7 @@
- #include <fcntl.h>
- #include <netinet/in.h>
- #include <syslog.h>
--#include <com_err.h>
-+#include <et/com_err.h>
- #include <errno.h>
- #include <ctype.h>
- #include <time.h>
-diff -urN cyrus-imapd-2.1.5/imap/index.h cyrus-imapd-2.1.5-modified/imap/index.h
---- cyrus-imapd-2.1.5/imap/index.h     Tue May 21 10:10:13 2002
-+++ cyrus-imapd-2.1.5-modified/imap/index.h    Sat Jul 13 15:51:45 2002
-@@ -60,7 +60,7 @@
- #include <fcntl.h>
- #include <netinet/in.h>
- #include <syslog.h>
--#include <com_err.h>
-+#include <et/com_err.h>
- #include <errno.h>
- #include <ctype.h>
- #include <time.h>
-diff -urN cyrus-imapd-2.1.5/imap/ipurge.c cyrus-imapd-2.1.5-modified/imap/ipurge.c
---- cyrus-imapd-2.1.5/imap/ipurge.c    Tue Nov 13 13:59:04 2001
-+++ cyrus-imapd-2.1.5-modified/imap/ipurge.c   Sat Jul 13 16:18:33 2002
-@@ -56,7 +56,7 @@
- #include <stdlib.h>
- #include <stdio.h>
- #include <syslog.h>
--#include <com_err.h>
-+#include <et/com_err.h>
- #include <string.h>
- #include <time.h>
- #include <netinet/in.h>
-diff -urN cyrus-imapd-2.1.5/imap/lmtpd.c cyrus-imapd-2.1.5-modified/imap/lmtpd.c
---- cyrus-imapd-2.1.5/imap/lmtpd.c     Mon Jun  3 13:22:26 2002
-+++ cyrus-imapd-2.1.5-modified/imap/lmtpd.c    Sat Jul 13 16:09:13 2002
-@@ -55,7 +55,7 @@
- #include <fcntl.h>
- #include <sys/stat.h>
- #include <syslog.h>
--#include <com_err.h>
-+#include <et/com_err.h>
- #include <errno.h>
- #include <sys/types.h>
- #include <sys/wait.h>
-diff -urN cyrus-imapd-2.1.5/imap/lmtpengine.c cyrus-imapd-2.1.5-modified/imap/lmtpengine.c
---- cyrus-imapd-2.1.5/imap/lmtpengine.c        Wed Jun  5 19:12:34 2002
-+++ cyrus-imapd-2.1.5-modified/imap/lmtpengine.c       Sat Jul 13 16:10:45 2002
-@@ -53,7 +53,7 @@
- #include <fcntl.h>
- #include <sys/stat.h>
- #include <syslog.h>
--#include <com_err.h>
-+#include <et/com_err.h>
- #include <errno.h>
- #include <sys/types.h>
- #include <limits.h>
-diff -urN cyrus-imapd-2.1.5/imap/mailbox.c cyrus-imapd-2.1.5-modified/imap/mailbox.c
---- cyrus-imapd-2.1.5/imap/mailbox.c   Thu Jun 20 11:35:52 2002
-+++ cyrus-imapd-2.1.5-modified/imap/mailbox.c  Sat Jul 13 15:54:54 2002
-@@ -62,7 +62,7 @@
- #include <sys/stat.h>
- #include <ctype.h>
- #include <time.h>
--#include <com_err.h>
-+#include <et/com_err.h>
- 
- #ifdef HAVE_DIRENT_H
- # include <dirent.h>
-diff -urN cyrus-imapd-2.1.5/imap/mbdump.c cyrus-imapd-2.1.5-modified/imap/mbdump.c
---- cyrus-imapd-2.1.5/imap/mbdump.c    Fri May 24 13:05:15 2002
-+++ cyrus-imapd-2.1.5-modified/imap/mbdump.c   Sat Jul 13 16:07:28 2002
-@@ -60,7 +60,7 @@
- #include <dirent.h>
- #include <time.h>
- #include <assert.h>
--#include <com_err.h>
-+#include <et/com_err.h>
- 
- #include "exitcodes.h"
- #include "imap_err.h"
-diff -urN cyrus-imapd-2.1.5/imap/mboxlist.c cyrus-imapd-2.1.5-modified/imap/mboxlist.c
---- cyrus-imapd-2.1.5/imap/mboxlist.c  Thu Jun 20 11:36:13 2002
-+++ cyrus-imapd-2.1.5-modified/imap/mboxlist.c Sat Jul 13 15:56:29 2002
-@@ -59,7 +59,7 @@
- #include <ctype.h>
- #include <time.h>
- #include <syslog.h>
--#include <com_err.h>
-+#include <et/com_err.h>
- 
- #include <sys/ipc.h>
- #include <sys/msg.h>
-diff -urN cyrus-imapd-2.1.5/imap/mboxname.c cyrus-imapd-2.1.5-modified/imap/mboxname.c
---- cyrus-imapd-2.1.5/imap/mboxname.c  Thu Jan 24 10:39:28 2002
-+++ cyrus-imapd-2.1.5-modified/imap/mboxname.c Sat Jul 13 15:57:54 2002
-@@ -46,7 +46,7 @@
- #include <stdio.h>
- #include <string.h>
- #include <errno.h>
--#include <com_err.h>
-+#include <et/com_err.h>
- 
- #include "assert.h"
- #include "glob.h"
-diff -urN cyrus-imapd-2.1.5/imap/pop3d.c cyrus-imapd-2.1.5-modified/imap/pop3d.c
---- cyrus-imapd-2.1.5/imap/pop3d.c     Mon Jun  3 13:22:27 2002
-+++ cyrus-imapd-2.1.5-modified/imap/pop3d.c    Sat Jul 13 16:12:43 2002
-@@ -57,7 +57,7 @@
- #include <sys/types.h>
- #include <sys/param.h>
- #include <syslog.h>
--#include <com_err.h>
-+#include <et/com_err.h>
- #include <netdb.h>
- #include <sys/socket.h>
- #include <netinet/in.h>
-diff -urN cyrus-imapd-2.1.5/imap/quota.c cyrus-imapd-2.1.5-modified/imap/quota.c
---- cyrus-imapd-2.1.5/imap/quota.c     Wed May 22 14:55:24 2002
-+++ cyrus-imapd-2.1.5-modified/imap/quota.c    Sat Jul 13 16:17:06 2002
-@@ -55,7 +55,7 @@
- #include <sys/types.h>
- #include <netinet/in.h>
- #include <sys/stat.h>
--#include <com_err.h>
-+#include <et/com_err.h>
- 
- #if HAVE_DIRENT_H
- # include <dirent.h>
-diff -urN cyrus-imapd-2.1.5/imap/reconstruct.c cyrus-imapd-2.1.5-modified/imap/reconstruct.c
---- cyrus-imapd-2.1.5/imap/reconstruct.c       Sat Mar 30 13:46:57 2002
-+++ cyrus-imapd-2.1.5-modified/imap/reconstruct.c      Sat Jul 13 16:15:41 2002
-@@ -55,7 +55,7 @@
- #include <sys/types.h>
- #include <netinet/in.h>
- #include <sys/stat.h>
--#include <com_err.h>
-+#include <et/com_err.h>
- #include <stdlib.h>
- 
- #if HAVE_DIRENT_H
-diff -urN cyrus-imapd-2.1.5/imap/squatter.c cyrus-imapd-2.1.5-modified/imap/squatter.c
---- cyrus-imapd-2.1.5/imap/squatter.c  Fri Jan 18 16:58:48 2002
-+++ cyrus-imapd-2.1.5-modified/imap/squatter.c Sat Jul 13 16:44:03 2002
-@@ -78,7 +78,7 @@
- #include <sys/stat.h>
- #include <sys/types.h>
- #include <fcntl.h>
--#include <com_err.h>
-+#include <et/com_err.h>
- #include <syslog.h>
- #include <string.h>
- 
-diff -urN cyrus-imapd-2.1.5/notifyd/notifyd.c cyrus-imapd-2.1.5-modified/notifyd/notifyd.c
---- cyrus-imapd-2.1.5/notifyd/notifyd.c        Wed Jun 19 09:45:35 2002
-+++ cyrus-imapd-2.1.5-modified/notifyd/notifyd.c       Sat Jul 13 16:47:38 2002
-@@ -51,7 +51,7 @@
- #include <stdio.h>
- #include <errno.h>
- #include <syslog.h>
--#include <com_err.h>
-+#include <et/com_err.h>
- #include <sys/types.h>
- #include <sys/socket.h>
- #include <netinet/in.h>
-diff -urN cyrus-imapd-2.1.5/timsieved/timsieved.c cyrus-imapd-2.1.5-modified/timsieved/timsieved.c
---- cyrus-imapd-2.1.5/timsieved/timsieved.c    Sat May 25 14:57:53 2002
-+++ cyrus-imapd-2.1.5-modified/timsieved/timsieved.c   Sat Jul 13 16:45:55 2002
-@@ -60,7 +60,7 @@
- #include <syslog.h>
- #include <dirent.h>
- #include <ctype.h>
--#include <com_err.h>
-+#include <et/com_err.h>
- #include <netdb.h>
- #include <sys/socket.h>
- #include <netinet/in.h>
diff --git a/net-mail/cyrus-imapd/files/gentestcrt.sh b/net-mail/cyrus-imapd/files/gentestcrt.sh
new file mode 100644 (file)
index 0000000..abb6efb
--- /dev/null
@@ -0,0 +1,243 @@
+#!/bin/sh
+## $Header: /var/cvsroot/gentoo-x86/net-mail/cyrus-imapd/files/gentestcrt.sh,v 1.1 2002/10/11 14:51:49 raker Exp $
+##
+##  gentestcrt -- Create self-signed test certificate
+##  (C) 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> and Mandrakesoft
+##  Based on cca.sh script by Ralf S. Engelschall
+##
+
+#   external tools
+openssl="/usr/bin/openssl"
+
+#   some optional terminal sequences
+case $TERM in
+    xterm|xterm*|vt220|vt220*)
+        T_MD=`echo dummy | awk '{ printf("%c%c%c%c", 27, 91, 49, 109); }'`
+        T_ME=`echo dummy | awk '{ printf("%c%c%c", 27, 91, 109); }'`
+        ;;
+    vt100|vt100*)
+        T_MD=`echo dummy | awk '{ printf("%c%c%c%c%c%c", 27, 91, 49, 109, 0, 0); }'`
+        T_ME=`echo dummy | awk '{ printf("%c%c%c%c%c", 27, 91, 109, 0, 0); }'`
+        ;;
+    default)
+        T_MD=''
+        T_ME=''
+        ;;
+esac
+
+#   find some random files
+#   (do not use /dev/random here, because this device 
+#   doesn't work as expected on all platforms)
+randfiles=''
+for file in /var/log/messages /var/adm/messages \
+            /kernel /vmunix /vmlinuz \
+            /etc/hosts /etc/resolv.conf; do
+    if [ -f $file ]; then
+        if [ ".$randfiles" = . ]; then
+            randfiles="$file"
+        else
+            randfiles="${randfiles}:$file"
+        fi
+    fi
+done
+
+
+echo "${T_MD}maketestcrt -- Create self-signed test certificate${T_ME}"
+echo "(C) 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> and Mandrakesoft"
+echo "Based on cca.sh script by Ralf S. Engelschall"
+echo ""
+
+grep -q -s DUMMY server.crt && mv server.crt server.crt.dummy
+grep -q -s DUMMY server.key && mv server.key server.key.dummy
+
+echo ""
+echo ""
+
+if [ ! -e ./server.crt -a ! -e ./server.key ];then 
+       echo "Will create server.key and server.crt in `pwd`"
+else
+       echo "server.key and server.crt already exist, dying"
+       exit
+fi
+
+echo ""
+
+
+mkdir -p /tmp/tmpssl-$$
+pushd /tmp/tmpssl-$$ > /dev/null
+
+
+    echo "${T_MD}INITIALIZATION${T_ME}"
+
+    echo ""
+    echo "${T_MD}Generating custom Certificate Authority (CA)${T_ME}"
+    echo "______________________________________________________________________"
+    echo ""
+    echo "${T_MD}STEP 1: Generating RSA private key for CA (1024 bit)${T_ME}"
+    cp /dev/null ca.rnd
+    echo '01' >ca.ser
+    if [ ".$randfiles" != . ]; then
+        $openssl genrsa -rand $randfiles -out ca.key 1024
+    else
+        $openssl genrsa -out ca.key 1024
+    fi
+    if [ $? -ne 0 ]; then
+        echo "cca:Error: Failed to generate RSA private key" 1>&2
+        exit 1
+    fi
+    echo "______________________________________________________________________"
+    echo ""
+    echo "${T_MD}STEP 2: Generating X.509 certificate signing request for CA${T_ME}"
+    cat >.cfg <<EOT
+[ req ]
+default_bits                    = 1024
+distinguished_name              = req_DN
+RANDFILE                        = ca.rnd
+[ req_DN ]
+countryName                     = "1. Country Name             (2 letter code)"
+#countryName_default             = CA
+#countryName_min                 = 2
+countryName_max                 = 2
+stateOrProvinceName             = "2. State or Province Name   (full name)    "
+#stateOrProvinceName_default     = "Quebec"
+localityName                    = "3. Locality Name            (eg, city)     "
+#localityName_default            = "Montreal"
+0.organizationName              = "4. Organization Name        (eg, company)  "
+0.organizationName_default      = "Cyrus IMAP Server"
+organizationalUnitName          = "5. Organizational Unit Name (eg, section)  "
+organizationalUnitName_default  = "For testing purposes only"
+commonName                      = "6. Common Name              (eg, CA name)  "
+commonName_max                  = 64
+commonName_default              = "localhost"
+emailAddress                    = "7. Email Address            (eg, name@FQDN)"
+emailAddress_max                = 40
+#emailAddress_default            = "root@localhost"
+EOT
+    $openssl req -config .cfg -new -key ca.key -out ca.csr
+    if [ $? -ne 0 ]; then
+        echo "cca:Error: Failed to generate certificate signing request" 1>&2
+        exit 1
+    fi
+    echo "______________________________________________________________________"
+    echo ""
+    echo "${T_MD}STEP 3: Generating X.509 certificate for CA signed by itself${T_ME}"
+    cat >.cfg <<EOT
+#extensions = x509v3
+#[ x509v3 ]
+#subjectAltName   = email:copy
+#basicConstraints = CA:true,pathlen:0
+#nsComment        = "CCA generated custom CA certificate"
+#nsCertType       = sslCA
+EOT
+    $openssl x509 -extfile .cfg -req -days 365 -signkey ca.key -in ca.csr -out ca.crt
+    if [ $? -ne 0 ]; then
+        echo "cca:Error: Failed to generate self-signed CA certificate" 1>&2
+        exit 1
+    fi
+    echo "______________________________________________________________________"
+    echo ""
+    echo "${T_MD}RESULT:${T_ME}"
+    $openssl verify ca.crt
+    if [ $? -ne 0 ]; then
+        echo "cca:Error: Failed to verify resulting X.509 certificate" 1>&2
+        exit 1
+    fi
+    $openssl x509 -text -in ca.crt
+    $openssl rsa -text -in ca.key
+
+    echo "${T_MD}CERTIFICATE GENERATION${T_ME}"
+    user="server"
+
+    echo ""
+    echo "${T_MD}Generating custom USER${T_ME} [$user]"
+    echo "______________________________________________________________________"
+    echo ""
+    echo "${T_MD}STEP 5: Generating RSA private key for USER (1024 bit)${T_ME}"
+    if [ ".$randfiles" != . ]; then
+        $openssl genrsa -rand $randfiles -out $user.key 1024
+    else
+        $openssl genrsa -out $user.key 1024
+    fi
+    if [ $? -ne 0 ]; then
+        echo "cca:Error: Failed to generate RSA private key" 1>&2
+        exit 1
+    fi
+    echo "______________________________________________________________________"
+    echo ""
+    echo "${T_MD}STEP 6: Generating X.509 certificate signing request for USER${T_ME}"
+    cat >.cfg <<EOT
+[ req ]
+default_bits                    = 1024
+distinguished_name              = req_DN
+RANDFILE                        = ca.rnd
+[ req_DN ]
+countryName                     = "1. Country Name             (2 letter code)"
+#countryName_default             = XY
+#countryName_min                 = 2
+countryName_max                 = 2
+stateOrProvinceName             = "2. State or Province Name   (full name)    "
+#stateOrProvinceName_default     = "Unknown"
+localityName                    = "3. Locality Name            (eg, city)     "
+#localityName_default            = "Server Room"
+0.organizationName              = "4. Organization Name        (eg, company)  "
+0.organizationName_default      = "Cyrus IMAP Server"
+organizationalUnitName          = "5. Organizational Unit Name (eg, section)  "
+organizationalUnitName_default  = "Test Certificate"
+commonName                      = "6. Common Name              (eg, DOMAIN NAME)  "
+commonName_max                  = 64
+commonName_default              = "localhost"
+emailAddress                    = "7. Email Address            (eg, name@fqdn)"
+emailAddress_max                = 40
+#emailAddress_default            = "root@localhost"
+EOT
+    $openssl req -config .cfg -new -key $user.key -out $user.csr
+    if [ $? -ne 0 ]; then
+        echo "cca:Error: Failed to generate certificate signing request" 1>&2
+        exit 1
+    fi
+    rm -f .cfg
+    echo "______________________________________________________________________"
+    echo ""
+    echo "${T_MD}STEP 7: Generating X.509 certificate signed by own CA${T_ME}"
+    cat >.cfg <<EOT
+#extensions = x509v3
+#[ x509v3 ]
+#subjectAltName   = email:copy
+#basicConstraints = CA:false,pathlen:0
+#nsComment        = "CCA generated client certificate"
+#nsCertType       = client
+EOT
+    $openssl x509 -extfile .cfg -days 365 -CAserial ca.ser -CA ca.crt -CAkey ca.key -in $user.csr -req -out $user.crt
+    if [ $? -ne 0 ]; then
+        echo "cca:Error: Failed to generate X.509 certificate" 1>&2
+        exit 1
+    fi
+    caname="`$openssl x509 -noout -text -in ca.crt |\
+             grep Subject: | sed -e 's;.*CN=;;' -e 's;/Em.*;;'`"
+    username="`$openssl x509 -noout -text -in $user.crt |\
+               grep Subject: | sed -e 's;.*CN=;;' -e 's;/Em.*;;'`"
+#    echo "Assembling PKCS#12 package"
+#    $openssl pkcs12 -export -in $user.crt -inkey $user.key -certfile ca.crt -name "$username" -caname "$caname" -out $user.p12
+    echo "______________________________________________________________________"
+    echo ""
+    echo "${T_MD}RESULT:${T_ME}"
+    $openssl verify -CAfile ca.crt $user.crt
+    if [ $? -ne 0 ]; then
+        echo "cca:Error: Failed to verify resulting X.509 certificate" 1>&2
+        exit 1
+    fi
+    $openssl x509 -text -in $user.crt
+    $openssl rsa -text -in $user.key
+
+
+popd >/dev/null
+
+
+rm -f /tmp/tmpssl-$$/*.csr
+rm -f /tmp/tmpssl-$$/ca.*
+chmod 400 /tmp/tmpssl-$$/*
+
+echo "Certificate creation done!"
+cp /tmp/tmpssl-$$/server.* .
+
+rm -rf /tmp/tmpssl-$$
diff --git a/net-mail/cyrus-imapd/files/imapd_2.conf b/net-mail/cyrus-imapd/files/imapd_2.conf
new file mode 100644 (file)
index 0000000..04fa8ff
--- /dev/null
@@ -0,0 +1,25 @@
+# $Header: /var/cvsroot/gentoo-x86/net-mail/cyrus-imapd/files/imapd_2.conf,v 1.1 2002/10/11 14:51:49 raker Exp $
+#
+# Don't forget to use chattr +S (if you are using ext[23]) 
+# when you change these directories (read the docs).
+configdirectory:       /var/imap
+partition-default:     /var/spool/imap
+sievedir:              /var/imap/sieve
+
+tls_cert_file:         /etc/cyrusimapd/server.crt
+tls_key_file:          /etc/cyrusimapd/server.key
+
+# Don't use an everyday user as admin.
+admins:                        cyrus
+
+hashimapspool:         yes
+allowanonymouslogin:   no
+allowplaintext:                no
+
+# Use this if sieve-scripts could be in ~user/.sieve.
+#sieveusehomedir:      yes
+
+# Use saslauthd if you want to use pam for imap.
+# But be warned: login with DIGEST-MD5 or CRAM-MD5 
+# is not possible using pam.
+#sasl_pwcheck_method:  saslauthd
diff --git a/net-mail/cyrus-imapd/files/master.8.diff b/net-mail/cyrus-imapd/files/master.8.diff
new file mode 100644 (file)
index 0000000..5122c96
--- /dev/null
@@ -0,0 +1,45 @@
+--- master.8   2002-05-25 21:57:48.000000000 +0200
++++ cyrusmaster.8      2002-09-29 12:50:37.000000000 +0200
+@@ -1,5 +1,5 @@
+ .\" -*- nroff -*-
+-.TH MASTER 8 "Project Cyrus" CMU
++.TH CYRUSMASTER 8 "Project Cyrus" CMU
+ .\" 
+ .\" Copyright (c) 1996-2000 Carnegie Mellon University.  All rights reserved.
+ .\"
+@@ -41,9 +41,9 @@
+ .\" 
+ .\" $Id: master.8.diff,v 1.1 2002/10/11 14:51:49 raker Exp $
+ .SH NAME
+-master \- master Cyrus process
++cyrusmaster \- master Cyrus process
+ .SH SYNOPSIS
+-.B master
++.B cyrusmaster
+ [
+ .B \-l
+ .I listen queue
+@@ -52,7 +52,7 @@
+ .B \-D
+ ]
+ .SH DESCRIPTION
+-.I Master
++.I Cyrusmaster
+ is the process that controls all of the Cyrus processes. This process
+ is responsible for creating all imapd, pop3d, lmtpd and sieved child
+ processes. This process also initializes the Berkeley DB code and
+@@ -73,12 +73,12 @@
+ Don't close stdin/stdout/stderr. Primiarly useful for debugging.
+ .SH CONFIGURATION
+ Upon execution,
+-.I master
++.I cyrusmaster
+ reads its configuration information out of the
+ .IR cyrus.conf (5)
+ file.
+ .PP
+-.I Master
++.I Cyrusmaster
+ rereads its configuration file when it receives a hangup signal,
+ SIGHUP.  Services and events may be added, deleted or modified when the
+ configuration file is reread.  Any active services removed from the